﻿<!DOCTYPE html>
<html>
	<head>
		<title>SpriteCoder - codeur de sprite</title>
		<meta charset="utf-8"/>
		<script type="text/javascript">
			function bitPrizmChange(value)
			{
				if (value == 'Prizm/Cg-10/Cg-20')
				{
					var chaine = '<fieldset>';
					chaine=chaine+'<legend>bit</legend>';
					chaine=chaine+'Voulez-vous coder les sprites en :<br/><input type="radio" name="bit" value="16bit"/>16-bits<br/>';
					chaine=chaine+'<input type="radio" name="bit" value="8bit" checked/>8-bits';
					chaine=chaine+'</fieldset>';
					document.getElementById('bitPrizm').innerHTML=chaine;
				}
				else
				{
					document.getElementById('bitPrizm').innerHTML='';
				}
			}
			
			
			
			function ApparaitreOutils(value)
			{
				if (value == 'Afficher les outils')
				{
					var chaine = '<fieldset>';
					chaine=chaine+'<legend>Découpage des sprites</legend>';
					chaine=chaine+'Voulez-vous génerer plusieurs sprites d\'une même image?';
					chaine=chaine+'<input type="radio" name="coupeSpr" value="non" checked/>Non'
					chaine=chaine+'<input type="radio" name="coupeSpr" value="oui"/>Oui<br/>'
					chaine=chaine+'Si oui définissez la taille de chaque sprite : '
					chaine=chaine+'<input type="text" name="outil_largSpr" size="2px" value="16"/>*<input type="text" name="outil_hautSpr" size="2px" value="16"/>px';
					chaine=chaine+'</fieldset>';
					document.getElementById('outil').innerHTML=chaine;
					return 'Masquer les outils';
				}
				else
				{
					document.getElementById('outil').innerHTML='';
					return 'Afficher les outils';
				}
			}
			
			
			function AfficheTab(value)
			{
				if (value == 'oui')
				{
					var chaine = 'Entrer le nom du tableau';
					chaine=chaine+'<input type="text" name="tabpointeur_name" id="tabpointeur_name"/>';
					chaine=chaine+'<br/>Retourner à la ligne entre chaque élément du tableau de pointeur?';
					chaine=chaine+'<input type="radio" name="retourLigne" id="retourLigne" value="non"/>Non'
					chaine=chaine+'<input type="radio" name="retourLigne" id="retourLigne" value="oui" checked/>Oui'
					document.getElementById('tabSpr').innerHTML=chaine;
				}
				else
				{
					document.getElementById('tabSpr').innerHTML='';
				}
			}
		</script>
		<style>
			body
			{
				min-width : 600px;
				width : 70%;
				margin : auto;
			}
			fieldset
			{
				background-color : rgba(255,255,100,0.5);
				border : 2px solid black;
				border-radius : 5px;
				margin: 10px 20px 10px 20px;
			}
			legend
			{
				font-weight: bold;
			}
		</style>
	</head>
	<body>
		<center><h3>SpriteCoder - Version 1.5b</h3></center>
		<form method="post" name="post" action='spriteCoder.php' enctype="multipart/form-data">
			<fieldset>
				<legend>Calculatrice</legend>
				Choisissez le modèle de votre calculatrice
				<select name="calculatrice" id="calculatrice" onChange="bitPrizmChange(this.value)">
					<option value="Prizm/Cg-10/Cg-20"/>Prizm/Cg-10/Cg-20
					<option value="G75/G85/G95/G35" selected/>G75/G85/G95/G35
				<select>
			</fieldset>
			<fieldset>
				<legend>Choix des images</legend>
				<input type="file" name='fichier[]' multiple/>
			</fieldset>
			<fieldset>
				<legend>Option</legend>
				<fieldset>
					<legend>Tableau de pointeur</legend>
					Voulez-vous générer un tableau de pointeur contenant tous les sprites?
					<input type="radio" name="tabpointeur" value="non" onClick="AfficheTab(this.value)" checked/>Non
					<input type="radio" name="tabpointeur" value="oui" onClick="AfficheTab(this.value)" />Oui
					<div id="tabSpr">
					</div>
				</fieldset>
				<fieldset>
					<legend>Retour à la ligne</legend>
					<input type="radio" name="retourLigneSprite" value="default" checked/>Par défaut : une ligne du tableau représente une ligne de l'image</br>
					<input type="radio" name="retourLigneSprite" value="uneLigne" />Chaque sprite tient sur une seule ligne</br>
					<input type="radio" name="retourLigneSprite" value="chaquevaleur"/>Retour à la ligne après chaque élément du tableau</br>
					<input type="radio" name="retourLigneSprite" value="perso"/>Personnaliser : Retour à la ligne au bout de <input type="text" name="nbCaractere" size="2px" value="16"/> valeurs</br>
				</fieldset>
			</fieldset>
			<fieldset>
				<legend>Outils</legend>
				<input type="button" value="Afficher les outils" onClick="this.value=ApparaitreOutils(this.value)"/>
				<div id="outil">
				</div>
			</fieldset>
			<div id="bitPrizm">
			</div>
			<input type="submit"/>
		</form>
	</body>
</html>
