﻿<!DOCTYPE html>
<html>
	<head>
		<title>SpriteCoder - codeur de sprite</title>
		<meta charset="utf-8"/>
		<style>
			body
			{
				min-width : 600px;
				width : 70%;
				margin : auto;
			}
			fieldset
			{
				background-color : rgba(255,255,100,0.5);
				border : 2px solid black;
				border-radius : 5px;
				margin: 10px 20px 10px 20px;
			}
			legend
			{
				font-weight: bold;
			}
		</style>
	</head>
	<body>
		<fieldset>
			<legend>Les sprites encodés</legend>
			<form method="post" action='index.php'>
				<input type="submit" value="retourner dans la page précedente"/>
			</form>
<?php
	//print_r($_FILES);
	//print_r($_POST);
	$nbFichier=count($_FILES['fichier']['name']); 
	if ($_POST['tabpointeur']=='oui' && $_POST['tabpointeur_name']=='')
	{
		echo "<h4>Attention : Nom du tableau de pointeur invalide</h4>";
	}
	$probleme = true;
	$nbValeurSurUneLigne;
	if ($_FILES['fichier']['error'][0]!=4)
	{
		/**on upload les fichier**/
		for ($j= 0;$j<$nbFichier;$j++)
		{
			$chemin_destination = '';     
			move_uploaded_file($_FILES['fichier']['tmp_name'][$j], $chemin_destination.$_FILES['fichier']['name'][$j]); 
			$extension = $_FILES['fichier']['type'][$j];
			$extension=str_replace('image/','',$extension);
			if ($extension != "png" && $extension != "gif" && $extension != "jpeg")
			{
				echo "<h4>Attention : l'extension du fichier ".$_FILES['fichier']['name'][$j]." est invalide (extension valide : .png, .jpeg, .gif)</h4>" ;
				unlink($_FILES['fichier']['name'][$j]);
				$_FILES['fichier']['name'][$j] = '';
			}
			else
			{
				$probleme = false;
			}
		}
	}
	else
	{
		echo "Vous n'avez pas choisi de fichier";
	}
	
	if ($_FILES['fichier']['error'][0]!=4 && !$probleme)
	{
		echo "<textarea cols=\"115\" rows=\"30\">
";
		
		include("decoupeSpr.php");
		/*****************************/
		/** ici on code les sprites **/
		/*****************************/
		
	
		if (!isset($_POST["coupeSpr"]) || !$_POST["coupeSpr"] == "oui" )
		{
			for ($j= 0;$j<$nbFichier;$j++)
			{
				$name = $_FILES['fichier']['name'][$j];
				if ($name!='')
				{
					$extension = $_FILES['fichier']['type'][$j];
					$extension=str_replace('image/','',$extension);
					$valeurTableauPalette = array();
					if ($extension == "png")
						$im = imagecreatefrompng($name);
					else if ($extension == "gif")
						$im = imagecreatefromgif($name);
					else if ($extension == "jpeg")
					{
						$im = imagecreatefromjpeg($name);
						$name=str_replace('.jpg','',$name);
					}
					$name=str_replace('.'.$extension,'',$name);
					$largeur = imagesx ($im);
					$hauteur = imagesy ($im);
				
					if ((isset($_POST["bit"]) && $_POST["bit"]=="8bit") || $_POST["calculatrice"]=="G75/G85/G95/G35")
						echo "const unsigned char $name"."[]={";
					else if ($_POST["bit"]=="16bit")
						echo "const color_t $name"."[".$largeur*2*$hauteur."]={";
					$nbValeurSurUneLigne = 0;
					for ($y=0 ; $y<$hauteur ; $y++)
					{
						
						if ($_POST["retourLigneSprite"]=="default" || $_POST["retourLigneSprite"]=="perso" && $nbValeurSurUneLigne == 0 )
							echo "
	";
						$codebinaire = '';
						for ($x=0 ; $x<$largeur ; $x++)
						{
							$rgb = imagecolorat($im,$x,$y);
							if ($extension == "gif")
							{
								$pixelrgb = imagecolorat($im,$x,$y);
								$cols = imagecolorsforindex($im, $pixelrgb);
								$r = $cols['red'];
								$g = $cols['green'];
								$b = $cols['blue'];
							}
							else
							{
							
								$r = ($rgb >> 16) & 0xFF;
								$g = ($rgb >> 8) & 0xFF;
								$b = $rgb & 0xFF;
								
							}
							
							if($_POST["calculatrice"]=="G75/G85/G95/G35")
							{
								$moyennecouleur = ($r+$g+$b)/3;
								if ($moyennecouleur<123)
									$codebinaire = $codebinaire.'1';
								else
									$codebinaire = $codebinaire.'0';
								if (strlen($codebinaire)==8 || $x+1 == $largeur)
								{
									while(strlen($codebinaire)!=8)
									{
										$codebinaire=$codebinaire.'0';
									}
									$hex = dechex(bindec($codebinaire));
									echo "0x$hex";
									$nbValeurSurUneLigne++;
									$codebinaire='';
									if ($x+1 == $largeur && $y+1 == $hauteur)
										echo "";
									else
									{
										if ($_POST["retourLigneSprite"]=="default" || $_POST["retourLigneSprite"]=="uneLigne")
											echo ",";
										else if ($_POST["retourLigneSprite"]=="chaquevaleur")
											echo ",
	";
										else
										{
											echo ",";
											if ($nbValeurSurUneLigne >= intval("".$_POST["nbCaractere"]."") )
											{
												$nbValeurSurUneLigne = 0;
												if ($x+1 != $largeur)
													echo "
	";
											}
										}
											
									}
								}
								
							}
							else
							{
								$rgb = (( (31*$r/255) & 0x1F) << 11 ) | (( (63*$g/255) & 0x3F) << 5 ) | (( (31*$b/255) & 0x1F));
								$rgb = dechex($rgb);
								if ($_POST["bit"]=="8bit")
								{
									if (array_search ($rgb,$valeurTableauPalette) === FALSE)
									{
										array_push($valeurTableauPalette,$rgb);
										echo (array_search ($rgb,$valeurTableauPalette));
										$nbValeurSurUneLigne++;
									}
									else
									{
										echo (array_search ($rgb,$valeurTableauPalette));
										$nbValeurSurUneLigne++;
									}
								}
								else if ($_POST["bit"]=="16bit")
								{
									echo "0x$rgb";
									$nbValeurSurUneLigne++;
								}
								if ($x+1 == $largeur && $y+1 == $hauteur)
									echo "";
								else
								{
									if ($_POST["retourLigneSprite"]=="default" || $_POST["retourLigneSprite"]=="uneLigne")
										echo ",";
									else if ($_POST["retourLigneSprite"]=="chaquevaleur")
										echo ",
	";
									else
									{
										echo ",";
										if ($nbValeurSurUneLigne >= intval("".$_POST["nbCaractere"]."") )
										{
											$nbValeurSurUneLigne = 0;
											if ($x+1 != $largeur)
												echo "
	";
										}
									}
										
								}
							}
							
						}
					}
											
					if ($_POST["retourLigneSprite"]!="uneLigne") 
						echo "
};
										
";		
					else
						echo "};
										
";		
					
											/******************************/
											/** ici on code les palettes **/
											/******************************/
				

					if (isset($_POST["bit"]) && $_POST["bit"]=="8bit" && $_POST["calculatrice"]=="Prizm/Cg-10/Cg-20")
					{
						echo "const color_t ".$name."_palette[".count($valeurTableauPalette)."]={
	";
						for($indice = 0; $indice<count($valeurTableauPalette); $indice++)
						{
							echo "0x$valeurTableauPalette[$indice]";
							if ($indice+1 != count($valeurTableauPalette))
								echo ",";
						}
						echo "
};
	
";
					}
					
				}
			}
											/************************************/
											/** ici on code le tab de pointeur **/
											/************************************/
			if ($_POST['tabpointeur']=='oui' && $_POST['tabpointeur_name']!='')
			{
				if ( (isset ($_POST["bit"]) && $_POST["bit"]=="8bit") || $_POST["calculatrice"]=="G75/G85/G95/G35")
				{
					echo "const unsigned char* ".$_POST['tabpointeur_name'].'[] = {';
					if ($_POST['retourLigne']=='oui')
						echo "
	";
				}
				else
				{
					echo "const color_t* ".$_POST['tabpointeur_name'].'[] = {';
					if ($_POST['retourLigne']=='oui')
						echo "
	";
				}
				for ($j= 0;$j<$nbFichier;$j++)
				{
					$name = $_FILES['fichier']['name'][$j];
					$name = str_replace('.png','',$name);
					if ($name!='')
					{
						echo $name;
						if ($j+1!=$nbFichier)
							echo ",";
						if ($_POST['retourLigne']=='oui')
							echo "
	";
					}
				}
				if ($_POST['retourLigne']=='oui')
					echo "
};
";
			
				else
					echo "};
";
				if ( isset ($_POST["bit"]) && $_POST["bit"]=="8bit"  && $_POST["calculatrice"]=="Prizm/Cg-10/Cg-20")
				{
					echo "
const color_t* ".$_POST['tabpointeur_name']."_palette[]={";
					if ($_POST['retourLigne']=='oui')
						echo "
	";
					for ($j= 0;$j<$nbFichier;$j++)
					{
						$name = $_FILES['fichier']['name'][$j];
						$name=str_replace('.png','',$name);
						if ($name!='')
						{
							echo $name."_palette";
							if ($j+1!=$nbFichier)
								echo ",";
							if ($_POST['retourLigne']=='oui')
								echo "
	";
						}
					}
					if ($_POST['retourLigne']=='oui')
						echo "
};";
					else
						echo "};";
				}
			}
			
			
			
			/*on supprime les images*/
			for ($j= 0;$j<$nbFichier;$j++)
			{ 
				$name = $_FILES['fichier']['name'][$j];
				if (file_exists($name))
					unlink($name);
			}
		}
	}
	echo "</textarea>";	
?>
		</fieldset>
	</body>
</html>
